# Credit Memos Credit Memos ## Initiates workflow to warm up inventory transactions - [POST /creditMemos/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/warmupstepfunctions.md) ## Processes a new credit memo - [POST /creditMemos/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/processcreditmemo.md): This method will auto-generate an ID and create a new credit memo. If an ID is specified for the credit memo, an error will be thrown. ## Execute Batch Operations - [POST /creditMemos/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified batch_id - [GET /creditMemos/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/listmemosbybatchid.md): Returns a list of records with the specified batch_id ## Searches for credit memos using predefined parameters - [POST /creditMemos/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/searchforcreditmemos.md): Searches for credit memos using predefined parameters ## Gets all of the credit memos in the system. - [GET /creditMemos/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/listcreditmemos.md): This method will scan all credit memos and and return them to the caller. ## Creates a new credit that doesn't already exist - [POST /creditMemos/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/processcreditmemosync.md): This method will auto-generate an ID and create a new credit memo. If an ID is specified for the credit memo, an error will be thrown. ## Returns a credit memo from the system by its ID. - [GET /creditMemos/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/getcreditmemo.md): This method will look up a credit memo by the specified ID and return it back. ## Partially updates a credit memo with the specified ID. - [PATCH /creditMemos/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/patchcreditmemo.md): This method will patch an existing credit memo with the specified ID, using the HTTP PATCH specification. ## Updates a credit memo with the specified ID. - [PUT /creditMemos/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/updatecreditmemo.md): This method will update an existing credit memo with the specified ID.